# MediaController Class Reference

### [com.trolltech.qt.phonon package]

Inherits QObject.

### Constructor

- void MediaController(MediaObject parent)

### Constructor Properties

- prototype: The MediaController prototype object
- Angles = 1
- Chapters = 2
- Navigations = 3
- Titles = 4
- Feature( value )
- Features( value1, value2, ... )

### Prototype Object Properties

The MediaController prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool autoplayTitles()
- int availableAngles()
- List availableAudioChannels()
- int availableChapters()
- List availableSubtitles()
- int availableTitles()
- int currentAngle()
- AudioChannelDescription currentAudioChannel()
- int currentChapter()
- SubtitleDescription currentSubtitle()
- int currentTitle()
- void setCurrentAudioChannel(AudioChannelDescription stream)
- void setCurrentSubtitle(SubtitleDescription stream)
- Features supportedFeatures()

### Instance Properties

MediaController objects have no special properties beyond those inherited from the MediaController prototype object.